//------------------------------------------------------------------------------------
// irr::gui::IGUISpinBox wrappers
// do not delete a pointer to this
//------------------------------------------------------------------------------------

extern "C" 
{
	// do not delete
	IGUIEditBox* IrrGUI_IGUISpinBox_getEditBox(IGUISpinBox* spn)
	{
		if (spn) {
			return spn->getEditBox();
		} else return 0;
	}

	void IrrGUI_IGUISpinBox_setValue(IGUISpinBox* spn,f32 val)
	{
		if (spn) {
			spn->setValue(val);
		}
	}

	f32 IrrGUI_IGUISpinBox_getValue(IGUISpinBox* spn)
	{
		if (spn) {
			return spn->getValue();
		} else return 0.0;
	}

	void IrrGUI_IGUISpinBox_setRange(IGUISpinBox* spn,f32 min, f32 max)
	{
		if (spn) {
			spn->setRange(min, max);
		}
	}

	f32 IrrGUI_IGUISpinBox_getMin(IGUISpinBox* spn)
	{
		if (spn) {
			return spn->getMin();
		} else return 0.0;
	}

	f32 IrrGUI_IGUISpinBox_getMax(IGUISpinBox* spn)
	{
		if (spn) {
			return spn->getMax();
		} else return 0.0;
	}

	void IrrGUI_IGUISpinBox_setStepSize(IGUISpinBox* spn,f32 step=1.f)
	{
		if (spn) {
			spn->setStepSize(step);
		}
	}

	void IrrGUI_IGUISpinBox_setDecimalPlaces(IGUISpinBox* spn,s32 places)
	{
		if (spn) {
			spn->setDecimalPlaces(places);
		}
	}

	f32 IrrGUI_IGUISpinBox_getStepSize(IGUISpinBox* spn)
	{
		if (spn) {
			return spn->getStepSize();
		} else return 0.0;
	}	
}

